Run a reconciliation
curl --request POST \
--url https://api.getsly.ai/v1/v1/reconciliation/run \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"rail": "<string>",
"date_from": "<string>",
"date_to": "<string>"
}
'import requests
url = "https://api.getsly.ai/v1/v1/reconciliation/run"
payload = {
"rail": "<string>",
"date_from": "<string>",
"date_to": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({rail: '<string>', date_from: '<string>', date_to: '<string>'})
};
fetch('https://api.getsly.ai/v1/v1/reconciliation/run', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "<string>",
"rail": "<string>",
"period": {
"from": "<string>",
"to": "<string>"
},
"totals": {
"ledger_entries": 123,
"rail_entries": 123,
"matched": 123,
"unmatched_ledger": 123,
"unmatched_rail": 123,
"discrepancies": 123
},
"created_at": "2023-11-07T05:31:56Z",
"completed_at": "2023-11-07T05:31:56Z"
}
}Reconciliation
Run a reconciliation
Trigger a recon for a specific rail + date range. Runs async; subscribe to reconciliation.completed for completion.
POST
/
v1
/
reconciliation
/
run
Run a reconciliation
Authorizations
API key (pk_test_* or pk_live_), JWT session, agent token (agent_), Ed25519 session (sess_), or portal token (portal_).
Response
202 - application/json
Reconciliation started
Show child attributes
Show child attributes
⌘I